package de.jottyfan.camporganizer.module.confirmation.board.model;

import java.io.Serializable;

/**
 *
 * @author jotty
 *
 */
public class CampBean implements Serializable {
	private static final long serialVersionUID = 1L;
	private Integer pkCamp;
	private String name;
	private Double year;
	private String locationName;
	private Boolean isOver;

	public String getTitle() {
		return String.format("%s %4.0f", name, year);
	}

	/**
	 * @return the pkCamp
	 */
	public Integer getPkCamp() {
		return pkCamp;
	}

	/**
	 * @param pkCamp the pkCamp to set
	 */
	public void setPkCamp(Integer pkCamp) {
		this.pkCamp = pkCamp;
	}

	/**
	 * @return the name
	 */
	public String getName() {
		return name;
	}

	/**
	 * @param name the name to set
	 */
	public void setName(String name) {
		this.name = name;
	}

	/**
	 * @return the year
	 */
	public Double getYear() {
		return year;
	}

	/**
	 * @param year the year to set
	 */
	public void setYear(Double year) {
		this.year = year;
	}

	/**
	 * @return the locationName
	 */
	public String getLocationName() {
		return locationName;
	}

	/**
	 * @param locationName the locationName to set
	 */
	public void setLocationName(String locationName) {
		this.locationName = locationName;
	}

	/**
	 * @return the isOver
	 */
	public Boolean getIsOver() {
		return isOver;
	}

	/**
	 * @param isOver the isOver to set
	 */
	public void setIsOver(Boolean isOver) {
		this.isOver = isOver;
	}
}
